Github messages for voidlinux
 help / color / Atom feed
* [ISSUE] dkms: Drop the 'linux-headers' package dependency?
@ 2020-02-09 14:06 voidlinux-github
  2020-02-09 14:06 ` [ISSUE] [CLOSED] " voidlinux-github
                   ` (14 more replies)
  0 siblings, 15 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-09 14:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 522 bytes --]

New issue by b1scu1t on void-packages repository

https://github.com/void-linux/void-packages/issues/18976

Description:
<!-- Don't request update of package. We have a script for that. https://alpha.de.repo.voidlinux.org/void-updates/void-updates.txt . However, a quality pull request may help. -->
### System

* xuname:  
  *output of ``xuname`` (part of xtools)*
* package:  
  *affected package(s) including the version*

### Expected behavior

### Actual behavior

### Steps to reproduce the behavior



^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: [ISSUE] [CLOSED] dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
@ 2020-02-09 14:06 ` " voidlinux-github
  2020-02-09 16:22 ` voidlinux-github
                   ` (13 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-09 14:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 525 bytes --]

Closed issue by b1scu1t on void-packages repository

https://github.com/void-linux/void-packages/issues/18976

Description:
<!-- Don't request update of package. We have a script for that. https://alpha.de.repo.voidlinux.org/void-updates/void-updates.txt . However, a quality pull request may help. -->
### System

* xuname:  
  *output of ``xuname`` (part of xtools)*
* package:  
  *affected package(s) including the version*

### Expected behavior

### Actual behavior

### Steps to reproduce the behavior



^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
  2020-02-09 14:06 ` [ISSUE] [CLOSED] " voidlinux-github
@ 2020-02-09 16:22 ` voidlinux-github
  2020-02-09 16:23 ` voidlinux-github
                   ` (12 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-09 16:22 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 695 bytes --]

New comment by Piraty on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-583864182

Comment:
This affects platforms with custom kernel packages as well (rpi for example), so dkms pulls linux-headers and failes consequently during dkms builds because the version doesn't match (even further, version clash could occur but is unlikely since rpi kernel follows latest lts)

I doubt xbps in its current state can handle this nicely (as in: make dkms depend on a virtual target (via `depends=virtual?kernel-headers`) and all kernel headers `provide=kernel-headers` and let it pick the right one according to platfirm (or ask the user to install it?)

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
  2020-02-09 14:06 ` [ISSUE] [CLOSED] " voidlinux-github
  2020-02-09 16:22 ` voidlinux-github
@ 2020-02-09 16:23 ` voidlinux-github
  2020-02-09 16:47 ` voidlinux-github
                   ` (11 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-09 16:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 151 bytes --]

New comment by xtraeme on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-583864288

Comment:
Bullshit

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (2 preceding siblings ...)
  2020-02-09 16:23 ` voidlinux-github
@ 2020-02-09 16:47 ` voidlinux-github
  2020-02-09 16:48 ` voidlinux-github
                   ` (10 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-09 16:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 320 bytes --]

New comment by Johnnynator on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-583866826

Comment:
The problem is, that we would need some way to say, pull in headers of every installed kernel. Our current solution is just, pull in the meta package for the latest version.

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (3 preceding siblings ...)
  2020-02-09 16:47 ` voidlinux-github
@ 2020-02-09 16:48 ` voidlinux-github
  2020-02-09 17:02 ` voidlinux-github
                   ` (9 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-09 16:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 409 bytes --]

New comment by Johnnynator on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-583866826

Comment:
The problem is, that we would need some way to say, pull in headers of every installed kernel. Our current solution is just, pull in the meta package for the latest version. So when installing e.g. linux5.5 I need to make sure myself to also install the headers.

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (4 preceding siblings ...)
  2020-02-09 16:48 ` voidlinux-github
@ 2020-02-09 17:02 ` voidlinux-github
  2020-02-10  6:49 ` voidlinux-github
                   ` (8 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-09 17:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 542 bytes --]

New comment by Piraty on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-583868447

Comment:
dkms pulling in linux-headers by default is only an inconvenience for very few people (running either linux-lts exclusively or rpi*-kernels), who then have to take care to manually install the correct header package along the automatically pulled one. I think that's bearable, because with your proposal you'd still have to install it manually.
It just adds some unnecessary time to dkms build stage

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (5 preceding siblings ...)
  2020-02-09 17:02 ` voidlinux-github
@ 2020-02-10  6:49 ` voidlinux-github
  2020-02-10 12:46 ` voidlinux-github
                   ` (7 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-10  6:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 182 bytes --]

New comment by travankor on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-583980345

Comment:
You can use `ignorepkg=linux-headers`

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (6 preceding siblings ...)
  2020-02-10  6:49 ` voidlinux-github
@ 2020-02-10 12:46 ` voidlinux-github
  2020-02-10 15:34 ` voidlinux-github
                   ` (6 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-10 12:46 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 330 bytes --]

New comment by b1scu1t on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-584105408

Comment:
> You can use `ignorepkg=linux-headers`

Oh, a new feature in `xbps`?
I missed the announcement.
Will I be able to update/install/remove packages normally when a package is 'ignored'?

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (7 preceding siblings ...)
  2020-02-10 12:46 ` voidlinux-github
@ 2020-02-10 15:34 ` voidlinux-github
  2020-02-10 18:50 ` voidlinux-github
                   ` (5 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-10 15:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 142 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-584180808

Comment:
yes

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (8 preceding siblings ...)
  2020-02-10 15:34 ` voidlinux-github
@ 2020-02-10 18:50 ` voidlinux-github
  2020-02-10 18:51 ` voidlinux-github
                   ` (4 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-10 18:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 668 bytes --]

New comment by b1scu1t on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-584291567

Comment:
Looking at what Arch Linux does, it just lists all kernel header packages as 'optional dependencies' of `dkms`. Meaning the end-user has to install it manually. The current behavior of depending on `linux-headers` explicitly, would work well with a default installation of Void but inconvenient in other cases.

Correct me if I'm wrong but `xbps` or at least the package template files doesn't have an 'optional dependencies' field or a `provides` field (based on [this issue](https://github.com/void-linux/xbps/issues/1)).

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (9 preceding siblings ...)
  2020-02-10 18:50 ` voidlinux-github
@ 2020-02-10 18:51 ` voidlinux-github
  2020-02-12 12:15 ` voidlinux-github
                   ` (3 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-10 18:51 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 668 bytes --]

New comment by b1scu1t on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-584291567

Comment:
Looking at what Arch Linux does, it just lists all kernel header packages as 'optional dependencies' of `dkms`. Meaning the end-user has to install it manually. The current behavior of depending on `linux-headers` explicitly, would work well with a default installation of Void but inconvenient in other cases.

Correct me if I'm wrong but `xbps` or at least the package template files doesn't have an 'optional dependencies' field or a 'provides' field (based on [this issue](https://github.com/void-linux/xbps/issues/1)).

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (10 preceding siblings ...)
  2020-02-10 18:51 ` voidlinux-github
@ 2020-02-12 12:15 ` voidlinux-github
  2020-02-12 13:39 ` voidlinux-github
                   ` (2 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-12 12:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 305 bytes --]

New comment by Piraty on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-585178236

Comment:
`provides` is a valid field, just not documented in Manual.md i'm afraid.
Optional dependencies are not a thing in xbps.

`ignorepkg` seems the best option here

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (11 preceding siblings ...)
  2020-02-12 12:15 ` voidlinux-github
@ 2020-02-12 13:39 ` voidlinux-github
  2020-02-17  3:59 ` [ISSUE] [CLOSED] " b1scu1t
  2020-02-17  3:59 ` b1scu1t
  14 siblings, 0 replies; 16+ messages in thread
From: voidlinux-github @ 2020-02-12 13:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 307 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-585209181

Comment:
i think it should also be possible to use `virtualpkg=linux-headers:linux-lts-headers` or something like that, to make it use the correct dependency instead of ignoring

^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: [ISSUE] [CLOSED] dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (12 preceding siblings ...)
  2020-02-12 13:39 ` voidlinux-github
@ 2020-02-17  3:59 ` " b1scu1t
  2020-02-17  3:59 ` b1scu1t
  14 siblings, 0 replies; 16+ messages in thread
From: b1scu1t @ 2020-02-17  3:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 962 bytes --]

Closed issue by b1scu1t on void-packages repository

https://github.com/void-linux/void-packages/issues/18976

Description:
<!-- Don't request update of package. We have a script for that. https://alpha.de.repo.voidlinux.org/void-updates/void-updates.txt . However, a quality pull request may help. -->

### System

* package:  
`dkms_2.8.1`

### Expected behavior
To be able to install `dkms` without requiring the `linux-headers` meta-package. 

### Actual behavior
The `linux-headers` meta-package is installed, even if kernel headers are already provided by another package. E.g: `linux-lts-headers`.

### Steps to reproduce the behavior
`sudo xbps-install -S dkms`

### Notes
As Void provides multiple kernels and kernel headers, I don't think it would be good to have dkms depend on one package in particular. I only use `linux-lts` and `linux-lts-headers`, but dkms will also generate modules for `linux`, which I don't have installed.


^ permalink raw reply	[flat|nested] 16+ messages in thread

* Re: dkms: Drop the 'linux-headers' package dependency?
  2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
                   ` (13 preceding siblings ...)
  2020-02-17  3:59 ` [ISSUE] [CLOSED] " b1scu1t
@ 2020-02-17  3:59 ` b1scu1t
  14 siblings, 0 replies; 16+ messages in thread
From: b1scu1t @ 2020-02-17  3:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 463 bytes --]

New comment by b1scu1t on void-packages repository

https://github.com/void-linux/void-packages/issues/18976#issuecomment-586807635

Comment:
@q66 Your suggestion worked flawlessly with packages explicitly depending on `linux` and `linux-headers`. E.g. `cdemu-client` and of course `dkms`.

Its a nice and simple workaround/feature of `xbps`, so I think I'll close the issue.

Still hoping for _optional dependencies someday_, but that's an `xbps` thing...;)

^ permalink raw reply	[flat|nested] 16+ messages in thread

end of thread, back to index

Thread overview: 16+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-02-09 14:06 [ISSUE] dkms: Drop the 'linux-headers' package dependency? voidlinux-github
2020-02-09 14:06 ` [ISSUE] [CLOSED] " voidlinux-github
2020-02-09 16:22 ` voidlinux-github
2020-02-09 16:23 ` voidlinux-github
2020-02-09 16:47 ` voidlinux-github
2020-02-09 16:48 ` voidlinux-github
2020-02-09 17:02 ` voidlinux-github
2020-02-10  6:49 ` voidlinux-github
2020-02-10 12:46 ` voidlinux-github
2020-02-10 15:34 ` voidlinux-github
2020-02-10 18:50 ` voidlinux-github
2020-02-10 18:51 ` voidlinux-github
2020-02-12 12:15 ` voidlinux-github
2020-02-12 13:39 ` voidlinux-github
2020-02-17  3:59 ` [ISSUE] [CLOSED] " b1scu1t
2020-02-17  3:59 ` b1scu1t

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git